Bug 4280 - shutdown /abort shutdown script make erros about user rights
shutdown /abort shutdown script make erros about user rights
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Docs
unspecified
Other All
: P3 minor
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks: 5897
  Show dependency treegraph
 
Reported: 2006-12-04 11:39 UTC by TAKAHASHI Motonobu
Modified: 2009-06-12 01:45 UTC (History)
1 user (show)

See Also:


Attachments
docbook xml man smb.conf fix (1.70 KB, patch)
2009-06-11 17:50 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2006-12-04 11:39:03 UTC
In shutdown script and abort shutdown script manual pages,
there are descriptions like below:
-----
If the connected user posseses the SeRemoteShutdownPrivilege, right, this
command will be run as user.
----

But if the connected user posseses SeRemoteShutdownPrivilege, the command run as root, not user.

So these documents should be updated.
Comment 1 TAKAHASHI Motonobu 2008-11-14 05:11:24 UTC
Still not fixed at Samba 3.2.4 ;-(
Comment 2 Guenther Deschner 2009-06-11 17:50:24 UTC
Created attachment 4280 [details]
docbook xml man smb.conf fix
Comment 3 Guenther Deschner 2009-06-11 17:51:28 UTC
Reassigning to Karolin, documentation only fix, should be in all branches. Patch attached.
Comment 4 Karolin Seeger 2009-06-12 01:45:44 UTC
Patch has been pushed. Will be included in 3.4.0, 3.3.5 and 3.2.12.
Closing out bug report.

Thanks for reporting!